[gcompris/voices] check the running directory to avoid mistakes



commit dea6bd79492fb41148e5e592c433a3ed6aa564c7
Author: Bruno Coudoin <bruno coudoin gcompris net>
Date:   Mon Jun 15 22:53:00 2015 +0200

    check the running directory to avoid mistakes

 encodeTo.sh |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)
---
diff --git a/encodeTo.sh b/encodeTo.sh
index d6db3f0..9a7c806 100755
--- a/encodeTo.sh
+++ b/encodeTo.sh
@@ -2,7 +2,7 @@
 
 # First create a new directory (aac ac3 mp3)
 # Example for aac:
-# rsync -a voices.ogg/ voices.aac
+# rsync -a --exclude .git voices.ogg/ voices.aac
 # cd voices.aac
 # ./encodeTo.sh
 
@@ -12,6 +12,12 @@ then
   exit 1
 fi
 
+if [ ! -d af ]
+then
+  echo "ERROR: move to the voice directory first"
+  exit 1
+fi
+
 format=$1
 
 if [ $format = "aac" ]


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]